## php.java.bridge
Class MethodCache.Entry

    java.lang.Object
      php.java.bridge.MethodCache.Entry

Enclosing class:
  MethodCache

    public static class MethodCache.Entry

extends java.lang.Object

A cache entry.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Class[]` `getParameterTypes()`
`int` `hashCode()`
`void` `setMethod(php.java.bridge.MethodCache.CachedMethod cache)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### setMethod

    public void setMethod(php.java.bridge.MethodCache.CachedMethod cache)

### getParameterTypes

    public java.lang.Class[] getParameterTypes()